import anyTest, {Macro, TestInterface} from '../..';

interface Context {
	foo: string
}

const test = anyTest as TestInterface<Context>;

const macro: Macro<[string], Context> = (t, expected) => {
	t.is(t.context.foo, expected);
};

test.beforeEach(t => {
	t.context = {foo: 'bar'};
});

test('foo is bar', macro, 'bar');

anyTest('default context is unknown', t => {
	// @ts-ignore
	t.is(t.context.foo, 'bar')
})
